<template>
  <div class="">
    <div v-if="isLoading" class="py-5 text-center">
      <vue-loaders class="py-5" name="ball-beat" color="#fa8357" scale="2"></vue-loaders>
    </div>
    <div v-else>
      <div class="py-5">
        <h2 class="text-primary2 text-center mt-2">Bon retour sur EJIMA</h2>
        <h4 v-if="accountNotFound" class="text-center text-danger p-4">
          Impossible de trouver le compte. Veuillez bien vérifier le lien de confirmation d'adresse email dans 
          votre boite mail. Merci
        </h4>
        <h4 v-if="accountConfSucc" class="text-center text-primary p-4">
          Votre adresse email vient d'être confirmée avec succès. Vous pouvez désormais vous connecter.
          <br><br><br>
          <a href="/" class="btn btn-primary">Me connecter</a>
        </h4>
        <h4 v-if="isConfirm" class="text-center text-info p-4">
          Cette adresse email a déjà été confirmée. Vous pouvez désormais vous connecter.
          <br><br><br>
          <span @click="next('/')" class="btn btn-primary">Me connecter</span>
        </h4>
      </div>
    </div>
  </div>
</template>
<script lang="ts">
// import visitors from '~/layouts/Visitors.vue';

export default {
  layout: 'Visitors',
  // components: { visitors},
	data(){
		return {
      isLoading: false,
      user: {},
      curStep: 1,
      feedBack: '',
      accountNotFound: false,
      accountConfSucc: false,
      isConfirm: false,
      
		}
	},
	async mounted(){
		// this.loadActualitys();
    if(this.$route.params.token && this.$route.params.token.length > 50){
      console.log("Token ", this.$route.params.token);
      this.loadMe();
    } else {
      this.accountNotFound = true;
    }
	},
	methods: {
    loadMe(){
      this.isLoading = true;
      // console.log("User id :", this.$route.params.token);

      this.$service.post("users/confirm-email", {token: this.$route.params.token}, (data) => {
        this.isLoading=false;
        // console.log("Response : ",data);

        if(data.status == 404 || data.status == 400 || data.status == 401){

          this.$alertify.error(""+data.message);
          this.accountNotFound = true;
          this.accountConfSucc = false;
          this.isConfirm = false;

        } else {

          if(data.status == 409){
            
            this.$alertify.warning(""+data.message);
              this.isConfirm = true;
              this.accountConfSucc = false;
              this.accountNotFound = false;

          } else {

            if(data.status == 200){
              this.accountConfSucc = true;
              this.isConfirm = false;
              this.accountNotFound = false;
              this.$alertify.success(""+data.message);
              
            }
            
          }

        }

      });

    },
    activeAccount(){

    },
    next(destination){
      this.$router.push({ path: ''+destination });
    }
	}
}
</script>

<style scoped>

</style>
